Index: /trunk/sources/HeuristicLab 3.3 Hive.Slave.sln
===================================================================
--- /trunk/sources/HeuristicLab 3.3 Hive.Slave.sln	(revision 7009)
+++ /trunk/sources/HeuristicLab 3.3 Hive.Slave.sln	(revision 7009)
@@ -0,0 +1,130 @@
+﻿
+Microsoft Visual Studio Solution File, Format Version 11.00
+# Visual Studio 2010
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave-3.3", "HeuristicLab.Clients.Hive.Slave\3.3\HeuristicLab.Clients.Hive.Slave-3.3.csproj", "{989FE92B-484E-41EE-87E2-6A24AF0381D8}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave.Views-3.3", "HeuristicLab.Clients.Hive.Slave.Views\3.3\HeuristicLab.Clients.Hive.Slave.Views-3.3.csproj", "{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave.App-3.3", "HeuristicLab.Clients.Hive.Slave.App\3.3\HeuristicLab.Clients.Hive.Slave.App-3.3.csproj", "{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.3", "HeuristicLab.Clients.Hive.Slave.ConsoleClient\3.3\HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.3.csproj", "{464D70B8-2D91-485C-B622-22E4A4891C68}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave.TrayIcon-3.3", "HeuristicLab.Clients.Hive.Slave.TrayIcon\3.3\HeuristicLab.Clients.Hive.Slave.TrayIcon-3.3.csproj", "{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}"
+EndProject
+Project("{54435603-DBB4-11D2-8724-00A0C9A8B90C}") = "HeuristicLab.Clients.Hive.Slave.TrayIconSetup-3.3", "HeuristicLab.Clients.Hive.Slave.TrayIconSetup\HeuristicLab.Clients.Hive.Slave.TrayIconSetup.vdproj", "{57E37188-4523-4F8D-8CEF-AE0AA27BB754}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave.WindowsService-3.3", "HeuristicLab.Clients.Hive.Slave.WindowsService\3.3\HeuristicLab.Clients.Hive.Slave.WindowsService-3.3.csproj", "{BA8001DE-E83C-4B1F-8B2E-2695C4222491}"
+EndProject
+Project("{54435603-DBB4-11D2-8724-00A0C9A8B90C}") = "HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup-3.3", "HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup\HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup.vdproj", "{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}"
+EndProject
+Global
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|Any CPU = Debug|Any CPU
+		Debug|x64 = Debug|x64
+		Debug|x86 = Debug|x86
+		Release|Any CPU = Release|Any CPU
+		Release|x64 = Release|x64
+		Release|x86 = Release|x86
+	EndGlobalSection
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Debug|x64.ActiveCfg = Debug|x64
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Debug|x64.Build.0 = Debug|x64
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Debug|x86.ActiveCfg = Debug|x86
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Debug|x86.Build.0 = Debug|x86
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Release|Any CPU.Build.0 = Release|Any CPU
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Release|x64.ActiveCfg = Release|x64
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Release|x64.Build.0 = Release|x64
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Release|x86.ActiveCfg = Release|x86
+		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Release|x86.Build.0 = Release|x86
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Debug|x64.ActiveCfg = Debug|x64
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Debug|x64.Build.0 = Debug|x64
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Debug|x86.ActiveCfg = Debug|x86
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Debug|x86.Build.0 = Debug|x86
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Release|Any CPU.Build.0 = Release|Any CPU
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Release|x64.ActiveCfg = Release|x64
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Release|x64.Build.0 = Release|x64
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Release|x86.ActiveCfg = Release|x86
+		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Release|x86.Build.0 = Release|x86
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|x64.ActiveCfg = Debug|x64
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|x64.Build.0 = Debug|x64
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|x86.ActiveCfg = Debug|x86
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|x86.Build.0 = Debug|x86
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|Any CPU.Build.0 = Release|Any CPU
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|x64.ActiveCfg = Release|x64
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|x64.Build.0 = Release|x64
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|x86.ActiveCfg = Release|x86
+		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|x86.Build.0 = Release|x86
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|x64.ActiveCfg = Debug|x64
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|x64.Build.0 = Debug|x64
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|x86.ActiveCfg = Debug|x86
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|x86.Build.0 = Debug|x86
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|Any CPU.Build.0 = Release|Any CPU
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|x64.ActiveCfg = Release|x64
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|x64.Build.0 = Release|x64
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|x86.ActiveCfg = Release|x86
+		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|x86.Build.0 = Release|x86
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Debug|x64.ActiveCfg = Debug|x64
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Debug|x64.Build.0 = Debug|x64
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Debug|x86.ActiveCfg = Debug|x86
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Debug|x86.Build.0 = Debug|x86
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Release|Any CPU.Build.0 = Release|Any CPU
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Release|x64.ActiveCfg = Release|x64
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Release|x64.Build.0 = Release|x64
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Release|x86.ActiveCfg = Release|x86
+		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Release|x86.Build.0 = Release|x86
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Debug|Any CPU.ActiveCfg = Debug
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Debug|Any CPU.Build.0 = Debug
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Debug|x64.ActiveCfg = Debug
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Debug|x64.Build.0 = Debug
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Debug|x86.ActiveCfg = Debug
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Debug|x86.Build.0 = Debug
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Release|Any CPU.ActiveCfg = Release
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Release|Any CPU.Build.0 = Release
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Release|x64.ActiveCfg = Release
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Release|x64.Build.0 = Release
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Release|x86.ActiveCfg = Release
+		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Release|x86.Build.0 = Release
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Debug|x64.ActiveCfg = Debug|x64
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Debug|x64.Build.0 = Debug|x64
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Debug|x86.ActiveCfg = Debug|x86
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Debug|x86.Build.0 = Debug|x86
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Release|Any CPU.Build.0 = Release|Any CPU
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Release|x64.ActiveCfg = Release|x64
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Release|x64.Build.0 = Release|x64
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Release|x86.ActiveCfg = Release|x86
+		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Release|x86.Build.0 = Release|x86
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Debug|Any CPU.ActiveCfg = Debug
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Debug|Any CPU.Build.0 = Debug
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Debug|x64.ActiveCfg = Debug
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Debug|x64.Build.0 = Debug
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Debug|x86.ActiveCfg = Debug
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Debug|x86.Build.0 = Debug
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Release|Any CPU.ActiveCfg = Release
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Release|Any CPU.Build.0 = Release
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Release|x64.ActiveCfg = Release
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Release|x64.Build.0 = Release
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Release|x86.ActiveCfg = Release
+		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Release|x86.Build.0 = Release
+	EndGlobalSection
+	GlobalSection(SolutionProperties) = preSolution
+		HideSolutionNode = FALSE
+	EndGlobalSection
+EndGlobal
Index: unk/sources/HeuristicLab 3.3 Hive.sln
===================================================================
--- /trunk/sources/HeuristicLab 3.3 Hive.sln	(revision 7008)
+++ 	(revision )
@@ -1,204 +1,0 @@
-﻿
-Microsoft Visual Studio Solution File, Format Version 11.00
-# Visual Studio 2010
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave-3.3", "HeuristicLab.Clients.Hive.Slave\3.3\HeuristicLab.Clients.Hive.Slave-3.3.csproj", "{989FE92B-484E-41EE-87E2-6A24AF0381D8}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave.Views-3.3", "HeuristicLab.Clients.Hive.Slave.Views\3.3\HeuristicLab.Clients.Hive.Slave.Views-3.3.csproj", "{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave.App-3.3", "HeuristicLab.Clients.Hive.Slave.App\3.3\HeuristicLab.Clients.Hive.Slave.App-3.3.csproj", "{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.3", "HeuristicLab.Clients.Hive.Slave.ConsoleClient\3.3\HeuristicLab.Clients.Hive.Slave.ConsoleClient-3.3.csproj", "{464D70B8-2D91-485C-B622-22E4A4891C68}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave.TrayIcon-3.3", "HeuristicLab.Clients.Hive.Slave.TrayIcon\3.3\HeuristicLab.Clients.Hive.Slave.TrayIcon-3.3.csproj", "{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}"
-EndProject
-Project("{54435603-DBB4-11D2-8724-00A0C9A8B90C}") = "HeuristicLab.Clients.Hive.Slave.TrayIconSetup-3.3", "HeuristicLab.Clients.Hive.Slave.TrayIconSetup\HeuristicLab.Clients.Hive.Slave.TrayIconSetup.vdproj", "{57E37188-4523-4F8D-8CEF-AE0AA27BB754}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave.WindowsService-3.3", "HeuristicLab.Clients.Hive.Slave.WindowsService\3.3\HeuristicLab.Clients.Hive.Slave.WindowsService-3.3.csproj", "{BA8001DE-E83C-4B1F-8B2E-2695C4222491}"
-EndProject
-Project("{54435603-DBB4-11D2-8724-00A0C9A8B90C}") = "HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup-3.3", "HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup\HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup.vdproj", "{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Hive.DataAccess-3.3", "HeuristicLab.Services.Hive.DataAccess\3.3\HeuristicLab.Services.Hive.DataAccess-3.3.csproj", "{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}"
-EndProject
-Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Service", "Service", "{57962E88-2378-4BCF-90DF-BB3BFAFA0C3D}"
-EndProject
-Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Slave", "Slave", "{F1608DBD-AD79-460F-B67D-627EECFF1A08}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Hive-3.3", "HeuristicLab.Services.Hive\3.3\HeuristicLab.Services.Hive-3.3.csproj", "{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}"
-EndProject
-Project("{E24C65DC-7377-472B-9ABA-BC803B73C61A}") = "Hive-3.3", "HeuristicLab.Services.Hive.Web\Hive-3.3\", "{0CA6706D-A569-45DE-A85C-4158891CC1BC}"
-	ProjectSection(WebsiteProperties) = preProject
-		TargetFrameworkMoniker = ".NETFramework,Version%3Dv4.0"
-		ProjectReferences = "{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}|HeuristicLab.Services.Hive-3.3.dll;{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}|HeuristicLab.Services.Hive.DataAccess-3.3.dll;"
-		Debug.AspNetCompiler.VirtualPath = "/Hive-3.3"
-		Debug.AspNetCompiler.PhysicalPath = "HeuristicLab.Services.Hive.Web\Hive-3.3\"
-		Debug.AspNetCompiler.TargetPath = "PrecompiledWeb\Hive-3.3\"
-		Debug.AspNetCompiler.Updateable = "true"
-		Debug.AspNetCompiler.ForceOverwrite = "true"
-		Debug.AspNetCompiler.FixedNames = "false"
-		Debug.AspNetCompiler.Debug = "True"
-		Release.AspNetCompiler.VirtualPath = "/Hive-3.3"
-		Release.AspNetCompiler.PhysicalPath = "HeuristicLab.Services.Hive.Web\Hive-3.3\"
-		Release.AspNetCompiler.TargetPath = "PrecompiledWeb\Hive-3.3\"
-		Release.AspNetCompiler.Updateable = "true"
-		Release.AspNetCompiler.ForceOverwrite = "true"
-		Release.AspNetCompiler.FixedNames = "false"
-		Release.AspNetCompiler.Debug = "False"
-		VWDPort = "4591"
-		VWDVirtualPath = "/Hive-3.3"
-		DefaultWebSiteLanguage = "Visual C#"
-	EndProjectSection
-EndProject
-Global
-	GlobalSection(SolutionConfigurationPlatforms) = preSolution
-		Debug|Any CPU = Debug|Any CPU
-		Debug|x64 = Debug|x64
-		Debug|x86 = Debug|x86
-		Release|Any CPU = Release|Any CPU
-		Release|x64 = Release|x64
-		Release|x86 = Release|x86
-	EndGlobalSection
-	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Debug|x64.ActiveCfg = Debug|x64
-		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Debug|x64.Build.0 = Debug|x64
-		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Debug|x86.ActiveCfg = Debug|x86
-		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Debug|x86.Build.0 = Debug|x86
-		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Release|Any CPU.Build.0 = Release|Any CPU
-		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Release|x64.ActiveCfg = Release|x64
-		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Release|x64.Build.0 = Release|x64
-		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Release|x86.ActiveCfg = Release|x86
-		{989FE92B-484E-41EE-87E2-6A24AF0381D8}.Release|x86.Build.0 = Release|x86
-		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Debug|x64.ActiveCfg = Debug|x64
-		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Debug|x64.Build.0 = Debug|x64
-		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Debug|x86.ActiveCfg = Debug|x86
-		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Debug|x86.Build.0 = Debug|x86
-		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Release|Any CPU.Build.0 = Release|Any CPU
-		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Release|x64.ActiveCfg = Release|x64
-		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Release|x64.Build.0 = Release|x64
-		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Release|x86.ActiveCfg = Release|x86
-		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8}.Release|x86.Build.0 = Release|x86
-		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|x64.ActiveCfg = Debug|x64
-		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|x64.Build.0 = Debug|x64
-		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|x86.ActiveCfg = Debug|x86
-		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Debug|x86.Build.0 = Debug|x86
-		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|Any CPU.Build.0 = Release|Any CPU
-		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|x64.ActiveCfg = Release|x64
-		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|x64.Build.0 = Release|x64
-		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|x86.ActiveCfg = Release|x86
-		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5}.Release|x86.Build.0 = Release|x86
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|x64.ActiveCfg = Debug|x64
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|x64.Build.0 = Debug|x64
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|x86.ActiveCfg = Debug|x86
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Debug|x86.Build.0 = Debug|x86
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|Any CPU.Build.0 = Release|Any CPU
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|x64.ActiveCfg = Release|x64
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|x64.Build.0 = Release|x64
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|x86.ActiveCfg = Release|x86
-		{464D70B8-2D91-485C-B622-22E4A4891C68}.Release|x86.Build.0 = Release|x86
-		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Debug|x64.ActiveCfg = Debug|x64
-		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Debug|x64.Build.0 = Debug|x64
-		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Debug|x86.ActiveCfg = Debug|x86
-		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Debug|x86.Build.0 = Debug|x86
-		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Release|Any CPU.Build.0 = Release|Any CPU
-		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Release|x64.ActiveCfg = Release|x64
-		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Release|x64.Build.0 = Release|x64
-		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Release|x86.ActiveCfg = Release|x86
-		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA}.Release|x86.Build.0 = Release|x86
-		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Debug|Any CPU.ActiveCfg = Debug
-		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Debug|Any CPU.Build.0 = Debug
-		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Debug|x64.ActiveCfg = Debug
-		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Debug|x64.Build.0 = Debug
-		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Debug|x86.ActiveCfg = Debug
-		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Debug|x86.Build.0 = Debug
-		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Release|Any CPU.ActiveCfg = Release
-		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Release|Any CPU.Build.0 = Release
-		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Release|x64.ActiveCfg = Release
-		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Release|x64.Build.0 = Release
-		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Release|x86.ActiveCfg = Release
-		{57E37188-4523-4F8D-8CEF-AE0AA27BB754}.Release|x86.Build.0 = Release
-		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Debug|x64.ActiveCfg = Debug|x64
-		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Debug|x64.Build.0 = Debug|x64
-		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Debug|x86.ActiveCfg = Debug|x86
-		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Debug|x86.Build.0 = Debug|x86
-		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Release|Any CPU.Build.0 = Release|Any CPU
-		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Release|x64.ActiveCfg = Release|x64
-		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Release|x64.Build.0 = Release|x64
-		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Release|x86.ActiveCfg = Release|x86
-		{BA8001DE-E83C-4B1F-8B2E-2695C4222491}.Release|x86.Build.0 = Release|x86
-		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Debug|Any CPU.ActiveCfg = Debug
-		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Debug|Any CPU.Build.0 = Debug
-		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Debug|x64.ActiveCfg = Debug
-		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Debug|x64.Build.0 = Debug
-		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Debug|x86.ActiveCfg = Debug
-		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Debug|x86.Build.0 = Debug
-		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Release|Any CPU.ActiveCfg = Release
-		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Release|Any CPU.Build.0 = Release
-		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Release|x64.ActiveCfg = Release
-		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Release|x64.Build.0 = Release
-		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Release|x86.ActiveCfg = Release
-		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Release|x86.Build.0 = Release
-		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Debug|x64.ActiveCfg = Debug|x64
-		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Debug|x64.Build.0 = Debug|x64
-		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Debug|x86.ActiveCfg = Debug|x86
-		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Debug|x86.Build.0 = Debug|x86
-		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Release|Any CPU.Build.0 = Release|Any CPU
-		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Release|x64.ActiveCfg = Release|x64
-		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Release|x64.Build.0 = Release|x64
-		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Release|x86.ActiveCfg = Release|x86
-		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Release|x86.Build.0 = Release|x86
-		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Debug|x64.ActiveCfg = Debug|x64
-		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Debug|x64.Build.0 = Debug|x64
-		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Debug|x86.ActiveCfg = Debug|x86
-		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Debug|x86.Build.0 = Debug|x86
-		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Release|Any CPU.Build.0 = Release|Any CPU
-		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Release|x64.ActiveCfg = Release|x64
-		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Release|x64.Build.0 = Release|x64
-		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Release|x86.ActiveCfg = Release|x86
-		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Release|x86.Build.0 = Release|x86
-		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Debug|x64.ActiveCfg = Debug|Any CPU
-		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Debug|x86.ActiveCfg = Debug|Any CPU
-		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Release|Any CPU.ActiveCfg = Debug|Any CPU
-		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Release|x64.ActiveCfg = Debug|Any CPU
-		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Release|x86.ActiveCfg = Debug|Any CPU
-	EndGlobalSection
-	GlobalSection(SolutionProperties) = preSolution
-		HideSolutionNode = FALSE
-	EndGlobalSection
-	GlobalSection(NestedProjects) = preSolution
-		{8C0D9F39-397F-4DBE-856F-BC4DC0FE23F8} = {F1608DBD-AD79-460F-B67D-627EECFF1A08}
-		{E3B93D5C-3B6B-4657-9B3E-F4297BAC0AA5} = {F1608DBD-AD79-460F-B67D-627EECFF1A08}
-		{464D70B8-2D91-485C-B622-22E4A4891C68} = {F1608DBD-AD79-460F-B67D-627EECFF1A08}
-		{7C4B1DE4-FC9A-4448-BCF8-3CB3FA3CB8FA} = {F1608DBD-AD79-460F-B67D-627EECFF1A08}
-		{57E37188-4523-4F8D-8CEF-AE0AA27BB754} = {F1608DBD-AD79-460F-B67D-627EECFF1A08}
-		{BA8001DE-E83C-4B1F-8B2E-2695C4222491} = {F1608DBD-AD79-460F-B67D-627EECFF1A08}
-		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646} = {F1608DBD-AD79-460F-B67D-627EECFF1A08}
-		{989FE92B-484E-41EE-87E2-6A24AF0381D8} = {F1608DBD-AD79-460F-B67D-627EECFF1A08}
-		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC} = {57962E88-2378-4BCF-90DF-BB3BFAFA0C3D}
-		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE} = {57962E88-2378-4BCF-90DF-BB3BFAFA0C3D}
-		{0CA6706D-A569-45DE-A85C-4158891CC1BC} = {57962E88-2378-4BCF-90DF-BB3BFAFA0C3D}
-	EndGlobalSection
-EndGlobal
Index: /trunk/sources/HeuristicLab 3.3 Services.sln
===================================================================
--- /trunk/sources/HeuristicLab 3.3 Services.sln	(revision 7008)
+++ /trunk/sources/HeuristicLab 3.3 Services.sln	(revision 7009)
@@ -16,4 +16,33 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Deployment-3.3.Tests", "HeuristicLab.Services.Deployment\3.3\Tests\HeuristicLab.Services.Deployment-3.3.Tests.csproj", "{421D9CCA-5A48-4813-AB9C-ED7025F9CC35}"
+EndProject
+Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Hive", "Hive", "{C159ED4A-0E0C-4CCC-81B4-F8979F5C3CE1}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Hive.DataAccess-3.3", "HeuristicLab.Services.Hive.DataAccess\3.3\HeuristicLab.Services.Hive.DataAccess-3.3.csproj", "{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Services.Hive-3.3", "HeuristicLab.Services.Hive\3.3\HeuristicLab.Services.Hive-3.3.csproj", "{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}"
+EndProject
+Project("{E24C65DC-7377-472B-9ABA-BC803B73C61A}") = "Hive-3.3", "HeuristicLab.Services.Hive.Web\Hive-3.3\", "{0CA6706D-A569-45DE-A85C-4158891CC1BC}"
+	ProjectSection(WebsiteProperties) = preProject
+		TargetFrameworkMoniker = ".NETFramework,Version%3Dv4.0"
+		ProjectReferences = "{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}|HeuristicLab.Services.Hive-3.3.dll;{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}|HeuristicLab.Services.Hive.DataAccess-3.3.dll;"
+		Debug.AspNetCompiler.VirtualPath = "/Hive-3.3"
+		Debug.AspNetCompiler.PhysicalPath = "HeuristicLab.Services.Hive.Web\Hive-3.3\"
+		Debug.AspNetCompiler.TargetPath = "PrecompiledWeb\Hive-3.3\"
+		Debug.AspNetCompiler.Updateable = "true"
+		Debug.AspNetCompiler.ForceOverwrite = "true"
+		Debug.AspNetCompiler.FixedNames = "false"
+		Debug.AspNetCompiler.Debug = "True"
+		Release.AspNetCompiler.VirtualPath = "/Hive-3.3"
+		Release.AspNetCompiler.PhysicalPath = "HeuristicLab.Services.Hive.Web\Hive-3.3\"
+		Release.AspNetCompiler.TargetPath = "PrecompiledWeb\Hive-3.3\"
+		Release.AspNetCompiler.Updateable = "true"
+		Release.AspNetCompiler.ForceOverwrite = "true"
+		Release.AspNetCompiler.FixedNames = "false"
+		Release.AspNetCompiler.Debug = "False"
+		VWDPort = "4591"
+		VWDVirtualPath = "/Hive-3.3"
+		DefaultWebSiteLanguage = "Visual C#"
+	EndProjectSection
 EndProject
 Global
@@ -66,7 +95,42 @@
 		{421D9CCA-5A48-4813-AB9C-ED7025F9CC35}.Release|x86.ActiveCfg = Release|x86
 		{421D9CCA-5A48-4813-AB9C-ED7025F9CC35}.Release|x86.Build.0 = Release|x86
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Debug|x64.ActiveCfg = Debug|x64
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Debug|x64.Build.0 = Debug|x64
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Debug|x86.ActiveCfg = Debug|x86
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Debug|x86.Build.0 = Debug|x86
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Release|Any CPU.Build.0 = Release|Any CPU
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Release|x64.ActiveCfg = Release|x64
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Release|x64.Build.0 = Release|x64
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Release|x86.ActiveCfg = Release|x86
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC}.Release|x86.Build.0 = Release|x86
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Debug|x64.ActiveCfg = Debug|x64
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Debug|x64.Build.0 = Debug|x64
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Debug|x86.ActiveCfg = Debug|x86
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Debug|x86.Build.0 = Debug|x86
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Release|Any CPU.Build.0 = Release|Any CPU
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Release|x64.ActiveCfg = Release|x64
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Release|x64.Build.0 = Release|x64
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Release|x86.ActiveCfg = Release|x86
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE}.Release|x86.Build.0 = Release|x86
+		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Release|Any CPU.ActiveCfg = Debug|Any CPU
+		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Release|x64.ActiveCfg = Debug|Any CPU
+		{0CA6706D-A569-45DE-A85C-4158891CC1BC}.Release|x86.ActiveCfg = Debug|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
 		HideSolutionNode = FALSE
 	EndGlobalSection
+	GlobalSection(NestedProjects) = preSolution
+		{EC2C8109-6E1E-4C88-9A2B-908CFF2EF4AC} = {C159ED4A-0E0C-4CCC-81B4-F8979F5C3CE1}
+		{CF9DA321-AC1B-4FD3-9EC3-67BC6B861BDE} = {C159ED4A-0E0C-4CCC-81B4-F8979F5C3CE1}
+		{0CA6706D-A569-45DE-A85C-4158891CC1BC} = {C159ED4A-0E0C-4CCC-81B4-F8979F5C3CE1}
+	EndGlobalSection
 EndGlobal
